FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

List invoices

Returns the invoices for all accounts authorised by the end user

AI Actions
GET
/v1/energy/invoice

Returns the invoices for all accounts authorised by the end user

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

account_idstring

(Optional) Account ID as returned by the Accounts API to fetch invoices for. If unset, invoices for all accounts will be returned

service_point_idstring

(Optional) Service point ID as returned by the Service Points API to fetch invoices for. If unset, invoices for all service points will be returned.

invoice_numberstring

(Optional) Invoice Number for a specific invoice to fetch.

page[before]string

When the page[before] is specified, backwards pagination is achieved

page[after]string

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/energy/invoice?end_user_id=string"
{
  "invoices": [
    {
      "account_charges": {
        "total_charges": "150.00",
        "total_discounts": "20.00",
        "total_gst": "5.00"
      },
      "account_id": "A123",
      "balance_at_issue": "100.00",
      "due_date": "2023-09-30",
      "electricity": {
        "other_charges": [
          {
            "amount": "5.00",
            "description": "Environmental charges",
            "type": "NETWORK"
          }
        ],
        "total_generation_credits": "20.00",
        "total_gst": "2.00",
        "total_once_off_charges": "6.00",
        "total_once_off_discounts": "4.00",
        "total_usage_charges": "120.00"
      },
      "fiskil_id": "energy_invoice_abcdef",
      "gas": {
        "other_charges": [
          {
            "amount": "5.00",
            "description": "Environmental charges",
            "type": "NETWORK"
          }
        ],
        "total_generation_credits": "15.00",
        "total_gst": "1.50",
        "total_once_off_charges": "5.00",
        "total_once_off_discounts": "3.00",
        "total_usage_charges": "100.00"
      },
      "gst_amount": "10.00",
      "institution_id": "140",
      "invoice_amount": "120.00",
      "invoice_number": "INV123456",
      "issue_date": "2023-09-15",
      "pay_on_time_discount": {
        "date": "2023-09-20",
        "discount_amount": "10.00",
        "gst_amount": "1.00"
      },
      "payment_status": "PAID",
      "period": {
        "end_date": "2023-09-30",
        "start_date": "2023-09-01"
      },
      "service_points": [
        "SP123",
        "SP124"
      ]
    }
  ],
  "links": {
    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",
    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"
  }
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

List DER (Distributed Energy Resources)List payment schedules